DBG=-O2 -Zi
CFLAGS=$(DBG) -nologo -I..
LIBS=..\obs\.libs\obs.lib

SRCDIR= .
PROGDIR= .exes

OBJS= \
	$(PROGDIR)\test_pa.obj \
	$(PROGDIR)\test_slab.obj \
	$(PROGDIR)\test_stack.obj \
	$(PROGDIR)\test_stdin.obj \
	$(PROGDIR)\test_compare1.obj

PROGS= $(OBJS:.obj=.exe)

CLEANFILES= $(PROGS) $(OBJS) $(PROGDIR)\*.pdb $(PROGDIR)\*.ilk


DEPDIR= ..\obs\\
!INCLUDE ..\obs\deps.mk

all: $(PROGDIR) $(PROGS)
	@echo.

clean:
	-@for %%i in ($(CLEANFILES)) do @echo removing %%i...  1>&2 && del %%i
	@echo.

$(PROGDIR):
	-mkdir $(PROGDIR)

{$(PROGDIR)}.obj{$(PROGDIR)}.exe:
	$(CC) $(DBG) -nologo -Fe$@ -Fd$(PROGDIR)\ $< $(LIBS)

{$(SRCDIR)}.c{$(PROGDIR)}.obj::
	$(CC) $(CFLAGS) -Fo$(PROGDIR)\ -Fd$(PROGDIR)\ -c $<

$(PROGDIR)\test_pa.obj: test_pa.c $(DEPFILES)
$(PROGDIR)\test_slab.obj: test_slab.c $(DEPFILES)
$(PROGDIR)\test_stack.obj: test_stack.c $(DEPFILES)
$(PROGDIR)\test_stdin.obj: test_stdin.c $(DEPFILES)
$(PROGDIR)\test_compare1.obj: test_compare1.c $(DEPFILES)
